## org.apache.cassandra.hadoop
Class BulkOutputFormat

    java.lang.Object
      org.apache.hadoop.mapreduce.OutputFormat<java.nio.ByteBuffer,java.util.List<Mutation>>
          org.apache.cassandra.hadoop.BulkOutputFormat

All Implemented Interfaces:
  org.apache.hadoop.mapred.OutputFormat<java.nio.ByteBuffer,java.util.List<Mutation>>

    public class BulkOutputFormat

extends org.apache.hadoop.mapreduce.OutputFormat<java.nio.ByteBuffer,java.util.List<Mutation>>
implements org.apache.hadoop.mapred.OutputFormat<java.nio.ByteBuffer,java.util.List<Mutation>>

Nested Class Summary
`static class` `BulkOutputFormat.NullOutputCommitter`

Constructor Summary
`BulkOutputFormat()`

Method Summary
`void` `checkOutputSpecs(org.apache.hadoop.fs.FileSystem filesystem, org.apache.hadoop.mapred.JobConf job)` Deprecated.
`void` `checkOutputSpecs(org.apache.hadoop.mapreduce.JobContext context)`
`org.apache.hadoop.mapreduce.OutputCommitter` `getOutputCommitter(org.apache.hadoop.mapreduce.TaskAttemptContext context)`
`org.apache.cassandra.hadoop.BulkRecordWriter` `getRecordWriter(org.apache.hadoop.fs.FileSystem filesystem, org.apache.hadoop.mapred.JobConf job, java.lang.String name, org.apache.hadoop.util.Progressable progress)` Deprecated.
`org.apache.cassandra.hadoop.BulkRecordWriter` `getRecordWriter(org.apache.hadoop.mapreduce.TaskAttemptContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BulkOutputFormat

    public BulkOutputFormat()

Method Detail

### checkOutputSpecs

    public void checkOutputSpecs(org.apache.hadoop.mapreduce.JobContext context)

  Specified by:
    `checkOutputSpecs` in class `org.apache.hadoop.mapreduce.OutputFormat<java.nio.ByteBuffer,java.util.List<Mutation>>`

### getOutputCommitter

    public org.apache.hadoop.mapreduce.OutputCommitter getOutputCommitter(org.apache.hadoop.mapreduce.TaskAttemptContext context)
                                                                   throws java.io.IOException,
                                                                          java.lang.InterruptedException

  Specified by:
    `getOutputCommitter` in class `org.apache.hadoop.mapreduce.OutputFormat<java.nio.ByteBuffer,java.util.List<Mutation>>`
  Throws:
    `java.io.IOException`
    `java.lang.InterruptedException`

### checkOutputSpecs

    @Deprecated
    public void checkOutputSpecs(org.apache.hadoop.fs.FileSystem filesystem,
                                            org.apache.hadoop.mapred.JobConf job)
                          throws java.io.IOException

  Deprecated.

  Fills the deprecated OutputFormat interface for streaming.

  Specified by:
    `checkOutputSpecs` in interface `org.apache.hadoop.mapred.OutputFormat<java.nio.ByteBuffer,java.util.List<Mutation>>`
  Throws:
    `java.io.IOException`

### getRecordWriter

    @Deprecated
    public org.apache.cassandra.hadoop.BulkRecordWriter getRecordWriter(org.apache.hadoop.fs.FileSystem filesystem,
                                                                                   org.apache.hadoop.mapred.JobConf job,
                                                                                   java.lang.String name,
                                                                                   org.apache.hadoop.util.Progressable progress)
                                                                 throws java.io.IOException

  Deprecated.

  Fills the deprecated OutputFormat interface for streaming.

  Specified by:
    `getRecordWriter` in interface `org.apache.hadoop.mapred.OutputFormat<java.nio.ByteBuffer,java.util.List<Mutation>>`
  Throws:
    `java.io.IOException`

### getRecordWriter

    public org.apache.cassandra.hadoop.BulkRecordWriter getRecordWriter(org.apache.hadoop.mapreduce.TaskAttemptContext context)
                                                                 throws java.io.IOException,
                                                                        java.lang.InterruptedException

  Specified by:
    `getRecordWriter` in class `org.apache.hadoop.mapreduce.OutputFormat<java.nio.ByteBuffer,java.util.List<Mutation>>`
  Throws:
    `java.io.IOException`
    `java.lang.InterruptedException`

Copyright © 2013 The Apache Software Foundation